import axios from "@/utils/request";

export function getCompany(query) {
  return axios({
    url: "/warehouse/info/company",
    method: "get",
    params:query
  });
}

export function modifyCompany(query) {
  return axios({
    url: "/warehouse/info/modifyCompany",
    method: "post",
    data: query
  });
}

export function checkCompany(query) {
  return axios(
    {
      url: "/salewarehouse/register/checkCompany",
      method: "get",
      params: query
    }
  );
}

export function getRegisterConfig(query) {
  return axios(
    {
      url: "/salewarehouse/register/getRegisterConfig",
      method: "get",
      params: query
    }
  );
}
